/*****************************

	library_date_time.c

Rilasciato con licenza GNU GPL
	
******************************/  
  
  
//simple validator
int1 validate_date(int day,int mth,int year);
int1 validate_hour(int ss,int mm,int hh);


/*
Funzione: int1 validate_date(int day,int mth,int year)
Scopo: valida la data passata
Ritorna:
	int1 0..1 se la data passata  valida o meno
Parametri: 
	int day: 1..13
	int mth: 1..12
	int year: 0..99
Revisione: 2.1
Note: -
*/   
int1 validate_date(int day,int mth,int year){
   if ( (day<32) && (day>0)) {
      if ( (mth<13) && (mth>0)) { 
         if (year<100) {
            return 1;
         }
      }
   }
   return 0;
}

/*
Funzione: int1 validate_hour(int ss,int mm,int hh)
Scopo: valida l'orario passato
Ritorna:
	int1 0..1 se l'ora passata  valida o meno
Parametri: 
	int ss: secondi 0..59
	int mm: minuti 0..59
	int hh: ore 0..23
Revisione: 2.1
Note: -
*/   
int1 validate_hour(int ss,int mm,int hh){
   if (hh<24)   {
      if (mm<60) {
         if (ss<60) {
            return 1;
         }
      }
   }
   return 0;
}
