/*****************************

	library_date_time.c

Rilasciato con licenza GNU GPL
	
******************************/  

/*--------------------------------------------

         Struttura ad albero del menu
 
--------------------------------------------*/
struct livelli{ 

   int1  L_0,                                         // Stand by      
         L_1,                                         // Menu principale        
               L_1_1,                                 //     Temperatura                 
                        L_1_1_1,                      //        Tmin soglia              
                                 L_1_1_1_1,           //           Tmin scelta presa
                                          L_1_1_1_1_1,//                Tmin valore presa                                               
                        L_1_1_2,                      //        Tmax soglia  
                                 L_1_1_2_1,           //           Tmax scelta presa
                                          L_1_1_2_1_1,//                Tmax valore presa     
                        L_1_1_3,                      //        Tcomp scelta presa            
                                 L_1_1_3_1,           //           Tcomp valore presa                    
                        L_1_1_4,                      //        Esci             
               L_1_2,                                 //     Umidit   
                        L_1_2_1,                      //        Tmin soglia              
                                 L_1_2_1_1,           //           Tmin scelta presa
                                          L_1_2_1_1_1,//                Tmin valore presa                                               
                        L_1_2_2,                      //        Tmax soglia  
                                 L_1_2_2_1,           //           Tmax scelta presa
                                          L_1_2_2_1_1,//                Tmax valore presa     
                        L_1_2_3,                      //        Tcomp scelta presa            
                                 L_1_2_3_1,           //           Tcomp valore presa                    
                        L_1_2_4,                      //        Esci                       
               L_1_3,                                 //        Orologio
                        L_1_3_1,                      //        Mode 1              
                                 L_1_3_1_1,           //           
                                          L_1_3_1_1_1,//                                                               
                        L_1_3_2,                      //        Mode 2  
                                   L_1_3_2_1,         //           
                                   L_1_3_2_1pre,      // aspetta che il pulsante giu sia premuto x cancellare la scritta menu 1_3_2_1
                                          L_1_3_2_1_1,//
               L_1_4,
                        L_1_4_1,                      //        Ora/data
                                 L_1_4_1_1,           //           setup ora - mostra attuale
                                          L_1_4_1_1_1,//                setup ora - la imposta
                                 L_1_4_1_2,           //           setup data - mostra attuale
                                          L_1_4_1_2_1,//                setup data - la imposta
                                 L_1_4_1_3,           //           setup giorno - mostra attuale
                                          L_1_4_1_3_1,//                setup giorno - lo imposta
                                          
                        L_1_4_2,                      // Backlight -> non completato
                       // L_1_4_2_1,                    // Backlight
                        L_1_4_3,                      // Buzzer -> non completato
                        //L_1_4_3_1,                    // Buzzer
                        L_1_4_4;                      // Sensore luce opz -> non comletato                  
} lev;           
       


/*--------------------------------------------

 Numero di pagine presenti nel relativo menu
 
--------------------------------------------*/

//Limite = nomero di voci del menu: es. numero di sottomenu + menu 'Esci'


#define N_C 0
#define L1_LIMITE 5                 //Principale                   
   #define L1_1_LIMITE 4            //Temperatura             
      #define L1_1_1_LIMITE PRESE_QTY_1       // scelta prese Tcomp                   
      #define L1_1_2_LIMITE PRESE_QTY_1       // scelta prese Tcomp    
      #define L1_1_3_LIMITE PRESE_QTY_1       // scelta prese Tcomp            
   #define L1_2_LIMITE 4         //Umidit 
      #define L1_2_1_LIMITE PRESE_QTY_1       // scelta prese Tcomp                   
      #define L1_2_2_LIMITE PRESE_QTY_1       // scelta prese Tcomp    
      #define L1_2_3_LIMITE PRESE_QTY_1       // scelta prese Tcomp
   #define L1_3_LIMITE        4         //Orologio   
      #define L1_3_1_LIMITE   PRESE_QTY_1           // mode 1                  
         #define L1_3_1_1_LIMITE 3           //On e off alle
            #define L1_3_1_1_1_LIMITE 144     //24*6 senza voce esci
      #define L1_3_2_LIMITE   PRESE_QTY_1           //mode 2 - scelta prese
         #define L1_3_2_1_LIMITE 145         //24*6+1 (24 ore* passi di minuti + voce esci)       // mode 2             
      #define L1_3_3_LIMITE PRESE_QTY_1       // scelta prese Tcomp
    #define L1_4_LIMITE 5         //Setup 
      #define L1_4_1_LIMITE 4         //ora/data/salvata 
         #define L1_4_1_1_LIMITE N_C       //ora 
         #define L1_4_1_2_LIMITE N_C       //data
         #define L1_4_1_3_LIMITE N_C       //data salvata in mem
      #define L1_4_2_LIMITE 1         // Backlight 			-> da modificare
      #define L1_4_3_LIMITE 1         //Buzzer  			-> da modificare
      #define L1_4_4_LIMITE 1         //Sensore_luce_opz  	-> da modificare             
                                                         


