/*****************************

	rele.c

Rilasciato con licenza GNU GPL
	
******************************/



void rele_init();
void presa_set( int presa, int1 level);



//*********************
//  ROUTINE
//*********************

#define PRESE_MASK 0x0F


/*
Funzione: void rele_init()
Scopo: init rele
Ritorna: -
Parametri: - 
Revisione: 1
Note: uscite su port d ! -> posso usare lettura della porta, maschrando i pin non usati :)
*/   
void rele_init(){
   //out spenti
   output_low(RELE_1); //1
   output_low(RELE_4); //2
   output_low(RELE_7); //3
   output_low(RELE_8); //4
}


/*
Funzione: void presa_set( int presa, int1 level)
Scopo: init rele
Ritorna: -
Parametri: 
	presa: 0..PRESE_QTY
	level: 0..1
Revisione: 1
Note: 
*/   
void presa_set( int presa, int1 level){
  int pin;
  if (presa < PRESE_QTY){
     switch(presa){
       case 0:pin=RELE_1;break;
       case 1:pin=RELE_4;break;
       case 2:pin=RELE_7;break;
       case 3:pin=RELE_8;break;
     }
     output_bit(pin,level);
   } 
   else {
	   lcd_gotoxy(2,2);
	   printf(lcd_putc,"E presa_set %u", presa);
	   DELAY_MS(5000);
   }
}

