/*****************************

	var.c

Rilasciato con licenza GNU GPL
	
******************************/
 
/*-------------  
  PULSANTI
--------------*/ 
//int1 pulse_su,pulse_giu,pulse_dx,pulse_sx,pulse_set;
int p_valido=NESSUNO; // tiene conto dell'ultimo pulsante che stato premuto e rilasciato
       

/*-------------  
     CPU
--------------*/  
int dec_sec; // decremento timer x aggiornare orologio ed eseguire operazioni     
                               
/*-------------  
     MENU
--------------*/  
volatile int pag=0;
volatile int pag_limit=0;
int screen_attivo;
int1 scritta_mostrata=NO;
int pag_back; // per ritornare sulla pagina precedentemente scelta


/*-------------  
     ENGIGNE
--------------*/  
int p_clock,p_t,p_rh;


/*-------------  
    OROLOGIO
--------------*/ 
struct orologio{
   int ss,mm,hh,day,mth,yy;
}rtc;           
                 
#define ORA_X 99
        

int OROLOGIO_MODE; // se oriologo funziona in mode 1 o 2                                
#define MODE1 1
#define MODE2 2
#define MODE_NO 0

// Per int1 lcd_rtc_setup_hour() 
#define ORE       1
#define MINUTI    0 
int1 orologio_step=MINUTI;
  
// Per int1 lcd_rtc_setup_date() 
#define STEP_DD     0
#define STEP_MTH    1
#define STEP_YY     2
int data_step=STEP_DD;
  
// valori temporanei x setup dell'orologio
struct str_data{
   int ss,mm,hh,day,mth,yy;
}setup;         


/*-------------  
    RH
--------------*/ 

int t_int=20;
int rh_int=60;


/*-------------  
   PRESE
--------------*/  

#define PRESE_QTY_1 5  // REAL + 1
#define PRESE_QTY   4  //REAL NUMBER

#define OFF 0
#define ON 1
        
        

        
typedef struct {

  // azione (on/off/ invariata) da svolgere nelcaso di: 
   int Tmin,Tmax,Tcomp;   
   int RHmin,RHmax,RHcomp; 

// orologio
// mode 1
   int on_hh,on_mm;
   int off_hh,off_mm;
   int1 on_pass,off_pass,global_pass; 
// mode 2
  int timer[24][6];// [ora da 0 a 23][da 0 a 50 a passi di 10(da 0 a 5)]
                  // P_ON,P_OFF,P_X 
  
   // quando hh e mm sono metchati : 'on '/'off'/'?? '
                                                                                                                                                               
} PRESE;              
PRESE presa[PRESE_QTY], temp_presa; // da 0 a 3 => 4 PRESE     

int temp_azione;
char presa_state[3][4]={"Off","On ","?? " };


/*-----------------------  
   SOGLIE DELLE PRESE
-----------------------*/   
#define SOGLIA_MAX 99
#define SOGLIA_MIN 1
typedef  struct {
   int1 valido; // dice se l'utente ha impostato la soglia o meno
   int valore;  // valore della soglia a cui deve modificarsi l aciabatta                           
   int min; // minimo  valore consentito, usato solo nel menu con RHmax/Tmax                   
}  SOGLIE_W_MIN; 

typedef  struct {
   int1 valido; // dice se l'utente ha impostato la soglia o meno
   int valore;  // valore della soglia a cui deve modificarsi l aciabatta                           
   int max; // massimo valore consentito, usato solo nel menu con RHmin/Tmin                          
}  SOGLIE_W_MAX; 

typedef  struct {
   int1 valido; // dice se l'utente ha impostato la soglia o meno
   int valore;  // valore della soglia a cui deve modificarsi l aciabatta                           
}SOGLIE_TMP;

SOGLIE_W_MAX  Tmin,RHmin;
SOGLIE_W_MIN  Tmax,RHmax;
SOGLIE_TMP temp_soglia;
       
        
       
       
int  presa_scelta;
int   hh_scelta,
      mm_scelta;
int1 presa_opz; //(opzione presa) x sapere se il menu in cui va deve gestire le variabili di on o off



